<?php 
/**
 * Fields Breadcrumb
 * @since 1.0
 * @package RoyalNews
 */

function royalnews_customizer_breadcrumb( $section ){
	$section[ 'breadcrumb_options' ] = array(
		'title'  => esc_html__( 'Breadcrumb Options', 'royalnews' ),
		'priority'    => 25,
		'fields' => array(
			'excerpt_length' => array(
				'type'        => 'number',
				'label'       => esc_html__( 'Excerpt Length', 'royalnews' ),
				'default'     => 30,
			),
			'enable_breadcrumb' => array(
				'type' => 'toggle',
				'label' => esc_html__( 'Enable Breadcrumb On Site', 'royalnews' ),
				'default' => true,
				'priority'    => 10,
			),
		)
	);

	return $section;
}
add_filter( 'royalnews_customizer_theme_option_panel', 'royalnews_customizer_breadcrumb' );